=== source/build-cmake/ex80/CMakeLists.txt ===
# Build Common Sourcecode Project, Qt.
# (C) 2014 K.Ohta <whatisthis.sowhat@gmail.com>
# This is part of XM7/SDL, but license is apache 2.2,
# this part was written only me.

cmake_minimum_required (VERSION 2.8)
cmake_policy(SET CMP0011 NEW)

message("")
message("** Start of configure CommonSourceProject,EX80, Qt **")
message("")

project (emuex80)

set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/../cmake")

set(EXEC_TARGET emuex80)
set(VM_NAME ex80)
set(USE_FMGEN OFF)
set(WITH_JOYSTICK OFF)
set(WITH_MOUSE ON)

set(VMFILES_BASE
       i8080.cpp
       io.cpp
       event.cpp
)

set(VMFILES_LIB
       i8080_base.cpp
       i8251.cpp
       i8255.cpp
       pcm1bit.cpp
)       
set(USE_OPENMP ON CACHE BOOL "Build using OpenMP")
set(USE_OPENGL ON CACHE BOOL "Build using OpenGL")
set(WITH_DEBUGGER ON CACHE BOOL "Build with debugger.")

include(detect_target_cpu)
#include(windows-mingw-cross)
# set entry
set(CMAKE_SYSTEM_PROCESSOR ${ARCHITECTURE} CACHE STRING "Set processor to build.")

set(VMFILES ${VMFILES_BASE})
add_definitions(-D_EX80)
set(RESOURCE ${CMAKE_SOURCE_DIR}/../../src/qt/common/qrc/ex80.qrc)

include(config_commonsource)
