=== Win32/000_doc/libogg/debian/changelog ===
libogg (1.3.2-1) unstable; urgency=low

  * Fixes a bug with oggpack_writecopy() buffer reallocation.
  * Updated autotools boilerplate for new arches.  Closes: #744721
  * Trim the blacklist of arches where stack protector is broken.

 -- Ron Lee <ron@debian.org>  Thu, 29 May 2014 04:11:14 +0930

libogg (1.3.1-1) unstable; urgency=low

  * Fix the hardening LDFLAGS.
  * Guard against very large packets.
  * Numerous documentation fixes, including actually installing all of them
    and repairing a number of broken links.  Given that this has never been
    reported upstream or to Debian, we now have an estimate of the number of
    developers and users who actually read them ...

 -- Ron Lee <ron@debian.org>  Sun, 12 May 2013 06:08:18 +0930

libogg (1.3.0-4) unstable; urgency=low

  * Tweak config_types.h to compensate for multi-arch insamity.
    Closes: #675887

 -- Ron Lee <ron@debian.org>  Sat, 09 Jun 2012 04:56:30 +0930

libogg (1.3.0-3) unstable; urgency=low

  * Build for multi-arch.  Closes: #637576

 -- Ron Lee <ron@debian.org>  Sun, 03 Jun 2012 05:45:35 +0930

libogg (1.3.0-2) unstable; urgency=low

  * Build with 'hardening' flags enabled.  Closes: #673668

 -- Ron Lee <ron@debian.org>  Tue, 22 May 2012 05:50:46 +0930

libogg (1.3.0-1) unstable; urgency=low

  * Adds ogg_stream_flush_fill().
  * Restore the RFCs to the package.  We've always had permission for RFC 5334,
    it's stated explicitly in Section 12 of the text.  We apparently also had
    previously been given permission for RFC 3533 too - but somehow the record
    of that had been lost.  We have an explicit grant from Silvia noted in the
    copyright file now.  Reading and asking trumps over-zealotry.
  * Add build-arch and build-indep targets to debian/rules.

 -- Ron Lee <ron@debian.org>  Sun, 20 May 2012 23:34:05 +0930

libogg (1.2.2~dfsg-1) unstable; urgency=low

  * Adds ogg_stream_pageout_fill().
  * Fixes for large packets on 32bit systems.
  * More documentation updates.

 -- Ron Lee <ron@debian.org>  Sun, 08 May 2011 04:06:51 +0930

libogg (1.2.0~dfsg-1) unstable; urgency=low

  * Alter default flushing behavior to span less often and use larger page
    sizes when packet sizes are large.
  * Documentation updates.
  * Closes: #575675 (wish for new upstream release)

 -- Ron Lee <ron@debian.org>  Sat, 10 Apr 2010 23:23:54 +0930

libogg (1.1.4~dfsg-2) unstable; urgency=low

  * Add a -dbg package.  Closes: #516663
  * Keep dpkg-buildpackage out of our build flags.  There is no reason to think
    that it knows any better than upstream how hard or what should be optimised
    in this package.

 -- Ron Lee <ron@debian.org>  Sat, 19 Dec 2009 08:12:06 +1030

libogg (1.1.4~dfsg-1) unstable; urgency=low

  * New upstream release.
  * Adopt this package, with the blessing of Clint.  Thanks.
  * Enable parallel builds, and automatically fork to the number of CPUs
    present unless told otherwise.
  * Don't mangle config.{sub,guess} at build time, leave the package source
    dir pristine as it was first packed.  But update them to the current
    versions now.  Drop the dependency on autotools-dev.
  * Support nostrip in DEB_BUILD_OPTIONS
  * Clean out a bunch of dh_* goop that we aren't actually using.
  * Simplify the *.install, drop the .la
  * Drop the dependency on quilt.  For the tiny little patches we are carrying
    it's overkill and better done in git anyhow.  Most of them should be passed
    upstream, and the RFC's we'll hopefully have relicenced soon and will be
    able to drop those too.

 -- Ron Lee <ron@debian.org>  Sun, 02 Aug 2009 10:00:26 +0930

libogg (1.1.3-5) unstable; urgency=low

  * Remove myself from Uploaders.

 -- Clint Adams <schizo@debian.org>  Fri, 27 Feb 2009 20:15:55 -0500

libogg (1.1.3-4) unstable; urgency=low

  * Bump to Standards-Version 3.8.0.
  * Refresh external_rfc_links.diff to -p ab.  closes: #485255.
  * Add doc_links.diff from Martin Pitt to fix HTML link to ogg/ subdir.
    closes: #463164.

 -- Clint Adams <schizo@debian.org>  Mon, 09 Jun 2008 20:38:54 -0400

libogg (1.1.3-3) unstable; urgency=low

  * Use dpkg-gensymbols, generating symbol files from packages in
    snapshot.debian.net since Mole only offers symbols for the last version.

  * Misc changes to debian/control:
    + add Vcs-Bzr header.
    + remove Christopher from Uploaders.
    + do not make libogg-dev Depend: on libc6-dev.
    + use ${binary:Version} instead of ${Source-Version}.

  * Other changes:
    + bump debian/compat to 5.
    + use /usr/share/quilt/quilt.make.
    + remove emacs cruft from changelog.
    + bump Standards-Version to 3.7.3 (no changes needed).

 -- Adeodato Simó <dato@net.com.org.es>  Thu, 27 Dec 2007 12:56:00 +0100

libogg (1.1.3-2) unstable; urgency=low

  * Unbreak shlibs (bad argument to dh_makeshlibs; stick to plain -V).

  * Install CHANGES from tarball as upstream changelog.

 -- Adeodato Simó <dato@net.com.org.es>  Fri, 20 Jan 2006 02:56:23 +0100

libogg (1.1.3-1) unstable; urgency=low

  * Switch maintenance to the Debian Xiph.org Maintainers (alioth/pkg-xiph).

  * New upstream release packaged. (Closes: #342577)

    As noted in README.Debian-source, the files rfc3533.txt and rfc3534.txt
    have been removed from the doc/ subdirectory for their non-free license.

  * Move HTML documentation from /usr/share/doc/libogg-dev itself to an html/
    subdirectory of it. As it happens, this closes: #300680.

  * Update debian/control:
    + drop unnecessary build-dependencies on gawk and devscripts.
    + drop version restriction on debhelper build-dependency, since it's
      already satisfied with stable.

  * Overhaul debian/rules, and switch to quilt for patch management. (This
    closes: #347418, FTBFS with the previous rules file and the new make.)

  * Add debian/compat file, instead of exporting DH_COMPAT.

  * debian/patches:
    + external_rfc_links.diff: patch HTML documentation to reference external

