=== Win32/000_doc/x264/doc/debian/changelog ===
x264-dmo (4:0.158.2984+git3759fcb-dmo1) unstable; urgency=medium

  * New git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 17 Jul 2019 22:53:38 +0200

x264-dmo (4:0.157.2969+gitd4099dd-dmo1) unstable; urgency=medium

  * New git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 13 Mar 2019 10:27:37 +0100

x264-dmo (4:0.157.2945+git72db437-dmo1) unstable; urgency=medium

  * New git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 12 Mar 2019 01:02:23 +0100

x264-dmo (4:0.157.2935+git545de2f-dmo1) unstable; urgency=medium

  * New git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 25 Sep 2018 14:37:08 +0200

x264-dmo (3:0.157.2946+gitd8180b8-dmo1) unstable; urgency=medium

  * New git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 29 Aug 2018 09:53:09 +0200

x264-dmo (3:0.155.2901+git7d0ff22-dmo3) unstable; urgency=medium

  * Rebuild against ffmpeg 4.0

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 04 Jun 2018 13:59:07 +0200

x264-dmo (3:0.155.2901+git7d0ff22-dmo2) unstable; urgency=medium

  * Rebuild to fix a "stack smashing detected" crash (Thanks to Kyuma Ohta
    for the bug report).

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 13 Feb 2018 08:14:16 +0100

x264-dmo (3:0.155.2901+git7d0ff22-dmo1) unstable; urgency=medium

  * New git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 18 Jan 2018 23:54:08 +0100

x264-dmo (3:0.155.2893+gitb00bcaf-dmo1) unstable; urgency=medium

  * New git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 26 Dec 2017 08:40:59 +0100

x264-dmo (3:0.152.2851+gitba24899-dmo2) unstable; urgency=medium

  * Fix build for mips64el architecture.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 17 Nov 2017 10:59:42 +0100

x264-dmo (3:0.152.2851+gitba24899-dmo1) unstable; urgency=medium

  * New git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 27 Jun 2017 08:40:19 +0200

x264-dmo (3:0.150.2833+gitdf79067-dmo1) unstable; urgency=medium

  * New git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 23 May 2017 18:49:52 +0200

x264-dmo (3:0.148.2762+git90a61ec-dmo1) unstable; urgency=medium

  * New git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 25 Jan 2017 08:22:57 +0100

x264-dmo (3:0.148.2744+gitb97ae06-dmo1) unstable; urgency=medium

  * New git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 02 Dec 2016 01:09:18 +0100

x264-dmo (3:0.148.2721+git72d53ab-dmo1) unstable; urgency=medium

  * New git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 21 Sep 2016 08:38:02 +0200

x264-dmo (3:0.148.2705+git3f5ed56-dmo1) unstable; urgency=medium

  * New git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 13 Jun 2016 23:56:06 +0200

x264-dmo (3:0.148.2694+git3b70645-dmo1) unstable; urgency=medium

  * New git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 21 Apr 2016 00:53:09 +0200

x264-dmo (3:0.148.2691+git00597d7-dmo1) unstable; urgency=medium

  * New git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 13 Apr 2016 08:14:08 +0200

x264-dmo (3:0.148.2665+gita01e339-dmo3) unstable; urgency=medium

  * Added 10bit library and a binary wrapper from Debian.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 03 Mar 2016 08:24:52 +0100

x264-dmo (3:0.148.2665+gita01e339-dmo2) unstable; urgency=medium

  * Rebuild against ffmpeg 3.0 libraries.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 25 Feb 2016 15:14:51 +0100

x264-dmo (3:0.148.2665+gita01e339-dmo1) unstable; urgency=medium

  * New git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 19 Jan 2016 00:23:02 +0100

x264-dmo (3:0.148.2664+git1e4a24f-dmo1) unstable; urgency=medium

  * New git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 18 Jan 2016 08:54:34 +0100

x264-dmo (3:0.148.2638+git7599210-dmo1) unstable; urgency=medium

  * New git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 12 Oct 2015 08:12:50 +0200

x264-dmo (3:0.148.2597+gite86f3a1-dmo1) unstable; urgency=medium

  * New git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 20 Aug 2015 08:19:44 +0200

x264-dmo (3:0.148.2579+git73ae2d1-dmo1) unstable; urgency=medium

  * New git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 27 Jul 2015 00:40:25 +0200

x264-dmo (3:0.146.2538+git121396c-dmo2) unstable; urgency=medium

  * Rebuild against libffms2-4

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 17 May 2015 10:23:20 +0200

x264-dmo (3:0.146.2538+git121396c-dmo1) unstable; urgency=medium

  * New git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 25 Feb 2015 07:59:38 +0100

x264-dmo (3:0.144.2525+git40bb568-dmo1) unstable; urgency=medium

  * New git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 21 Dec 2014 00:18:19 +0100

x264-dmo (3:0.142.2491+git24e4fed-dmo1) unstable; urgency=medium

  * New git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 13 Nov 2014 16:06:32 +0100

x264-dmo (3:0.142.2479+gitdd79a61-dmo3) unstable; urgency=medium

  * Rebuild against liblsmash2

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 06 Nov 2014 20:28:34 +0100

x264-dmo (3:0.142.2479+gitdd79a61-dmo2) unstable; urgency=medium

  * Rebuild against ffmpeg 2.4

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 26 Sep 2014 09:11:29 +0200

x264-dmo (3:0.142.2479+gitdd79a61-dmo1) unstable; urgency=medium

  * New git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 26 Aug 2014 19:08:03 +0200

x264-dmo (3:0.142.2452+git08d36b3-dmo1) unstable; urgency=medium

  * New git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 20 Jul 2014 12:52:35 +0200


